Update a Continuous Integration suite

Version 4.0.26.18 (latest)

Updates a Continuous Integration Suite.

Request

PATCH /projects/{project_id}/continuous_integration/suites/{suite_id}
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
project_id
string
Project Id
suite_id
string
Suite Id
body
HTTP Body
Expand HTTP Body definition...
body
Options for updating a Continuous Integration suite
Expand ProjectCISuite definition...
can
object
Operations the current user is able to perform on this object
id
string
ID of the CI suite
name
string
Name of the CI suite
project_id
string
ID of the LookML project
created_at
string
Time and date that the CI suite was created
updated_at
string
Time and date that the CI suite was updated
schedule_trigger_is_enabled
boolean
Whether the CI suite schedule trigger is active
schedule_trigger_crontab
string
Crontab that the CI suite is scheduled to run
schedule_trigger_timezone
string
Timezone for the CI suite schedule
alerting_enabled
boolean
Whether alerting is enabled for the CI suite
alert_email_addresses
string[]
alert_on_failed_status
boolean
Whether to alert on failed status
alert_on_error_status
boolean
Whether to alert on error status
alert_on_passed_status
boolean
Whether to alert on passed status
alert_on_cancelled_status
boolean
Whether to alert on cancelled status
change_request_trigger_is_enabled
boolean
Whether the CI suite change request trigger is active
change_request_trigger_hook_id
string
ID of the hook that triggers the CI Suite to run
change_request_trigger_target_branch
string
Git branch that should be compared against when the CI suite is run, used when the run is incremental
guid
string
GUID of the CI suite
dbt_cloud_trigger_is_enabled
boolean
Whether the CI suite dbt Cloud trigger is active
dbt_cloud_trigger_job_id
integer
Job ID of the dbt Cloud job
dbt_cloud_trigger_user_attribute_id
string
User Attribute ID used for schema substitution
dbt_cloud_webhook_id
string
Webhook ID registered in dbt Cloud
webhook_secret
string
(Write-Only) Webhook secret used to authenticate incoming webhook requests
has_webhook_secret
boolean
Whether the CI suite has a webhook secret configured
assert_validator_config_is_enabled
boolean
Whether assert validation is enabled for the CI suite
assert_validator_config_concurrency
integer
Number of tests that should run concurrently during assert validation
assert_validator_config_selectors
string[]
assert_validator_config_exclusions
string[]
content_validator_config_is_enabled
boolean
Whether content validation is enabled for the CI suite
content_validator_config_exclude_personal
boolean
Whether content validation should ignore personal folders
content_validator_config_incremental
boolean
Whether content should validate incrementally
content_validator_config_exclude_folders
string[]
content_validator_config_include_folders
string[]
content_validator_config_selectors
string[]
content_validator_config_exclusions
string[]
lookml_validator_config_is_enabled
boolean
Whether LookML validation is enabled for the CI suite
lookml_validator_config_severity
string
Severity of the error that the LookML validator should report (warning, error, fatal, info, success)
lookml_validator_config_timeout
integer
Amount of time after which LookML Validation should stop running
style_validator_config_is_enabled
boolean
Whether LookML Style Validator is enabled for the CI suite
style_validator_config_incremental
boolean
Whether LookML Style Validator should run incrementally on changed LookML files only
sql_validator_config_is_enabled
boolean
Whether SQL validation is enabled for the CI suite
sql_validator_config_fail_fast
boolean
Whether SQL validation should stop after the first failure
sql_validator_config_incremental
boolean
Whether SQL should validate incrementally
sql_validator_config_ignore_hidden
boolean
Whether SQL validation should ignore hidden fields
sql_validator_config_query_concurrency
integer
Number of queries that should run concurrently during SQL validation
sql_validator_config_chunk_size
integer
The max number of rows that should be returned for each query
sql_validator_config_selectors
string[]
sql_validator_config_exclusions
string[]
upstream_trigger_is_enabled
boolean
Whether the CI suite upstream project imports trigger is active
upstream_projects
string[]
query
HTTP Query
Expand HTTP Query definition...
fields
string
Requested fields

Response

200: Continuous Integration Suite

Datatype
Description
(object)
can
object
Operations the current user is able to perform on this object
id
string
ID of the CI suite
name
string
Name of the CI suite
project_id
string
ID of the LookML project
created_at
string
Time and date that the CI suite was created
updated_at
string
Time and date that the CI suite was updated
schedule_trigger_is_enabled
boolean
Whether the CI suite schedule trigger is active
schedule_trigger_crontab
string
Crontab that the CI suite is scheduled to run
schedule_trigger_timezone
string
Timezone for the CI suite schedule
alerting_enabled
boolean
Whether alerting is enabled for the CI suite
alert_email_addresses
string[]
alert_on_failed_status
boolean
Whether to alert on failed status
alert_on_error_status
boolean
Whether to alert on error status
alert_on_passed_status
boolean
Whether to alert on passed status
alert_on_cancelled_status
boolean
Whether to alert on cancelled status
change_request_trigger_is_enabled
boolean
Whether the CI suite change request trigger is active
change_request_trigger_hook_id
string
ID of the hook that triggers the CI Suite to run
change_request_trigger_target_branch
string
Git branch that should be compared against when the CI suite is run, used when the run is incremental
guid
string
GUID of the CI suite
dbt_cloud_trigger_is_enabled
boolean
Whether the CI suite dbt Cloud trigger is active
dbt_cloud_trigger_job_id
integer
Job ID of the dbt Cloud job
dbt_cloud_trigger_user_attribute_id
string
User Attribute ID used for schema substitution
dbt_cloud_webhook_id
string
Webhook ID registered in dbt Cloud
webhook_secret
string
(Write-Only) Webhook secret used to authenticate incoming webhook requests
has_webhook_secret
boolean
Whether the CI suite has a webhook secret configured
assert_validator_config_is_enabled
boolean
Whether assert validation is enabled for the CI suite
assert_validator_config_concurrency
integer
Number of tests that should run concurrently during assert validation
assert_validator_config_selectors
string[]
assert_validator_config_exclusions
string[]
content_validator_config_is_enabled
boolean
Whether content validation is enabled for the CI suite
content_validator_config_exclude_personal
boolean
Whether content validation should ignore personal folders
content_validator_config_incremental
boolean
Whether content should validate incrementally
content_validator_config_exclude_folders
string[]
content_validator_config_include_folders
string[]
content_validator_config_selectors
string[]
content_validator_config_exclusions
string[]
lookml_validator_config_is_enabled
boolean
Whether LookML validation is enabled for the CI suite
lookml_validator_config_severity
string
Severity of the error that the LookML validator should report (warning, error, fatal, info, success)
lookml_validator_config_timeout
integer
Amount of time after which LookML Validation should stop running
style_validator_config_is_enabled
boolean
Whether LookML Style Validator is enabled for the CI suite
style_validator_config_incremental
boolean
Whether LookML Style Validator should run incrementally on changed LookML files only
sql_validator_config_is_enabled
boolean
Whether SQL validation is enabled for the CI suite
sql_validator_config_fail_fast
boolean
Whether SQL validation should stop after the first failure
sql_validator_config_incremental
boolean
Whether SQL should validate incrementally
sql_validator_config_ignore_hidden
boolean
Whether SQL validation should ignore hidden fields
sql_validator_config_query_concurrency
integer
Number of queries that should run concurrently during SQL validation
sql_validator_config_chunk_size
integer
The max number of rows that should be returned for each query
sql_validator_config_selectors
string[]
sql_validator_config_exclusions
string[]
upstream_trigger_is_enabled
boolean
Whether the CI suite upstream project imports trigger is active
upstream_projects
string[]

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link